Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Namespace Members | Compound Members | File Members

# Lamp::MemoryOutputStream Class Reference

メモリ出力ストリーム More...

`#include <MemoryOutputStream.h>`

Inheritance diagram for Lamp::MemoryOutputStream:

List of all members.

## Public Member Functions
| MemoryOutputStream (int bufferInitialSize)
| コンストラクタ
virtual | ~MemoryOutputStream ()
| デストラクタ
virtual const char * | getBuffer ()
| バッファの取得
## Protected Member Functions
virtual void | writeBytes (const void *data, int size)
| バイトデータの書き出し
virtual int | getSize ()
| サイズの取得
virtual void | skip (int size)
| スキップ
virtual int | align (int alignSize)
| アライメントを取る
virtual int | getPosition ()
| 書き込み位置の取得
virtual void | setPosition (int position)
| 書き込み位置の設定
virtual void | flush ()
| フラッシュ

## Detailed Description

メモリ出力ストリーム

Definition at line 36 of file MemoryOutputStream.h.

## Constructor & Destructor Documentation

Lamp::MemoryOutputStream::MemoryOutputStream | ( | int | bufferInitialSize | ) | `[explicit]`

  | コンストラクタ Parameters:
  bufferInitialSize | バッファ初期化サイズ
Definition at line 32 of file MemoryOutputStream.cpp.

## Member Function Documentation

int Lamp::MemoryOutputStream::align | ( | int | alignSize | ) | `[protected, virtual]`

  | アライメントを取る 指定されたバイト数のアライメントまで0を書き出します。 Parameters:
  alignSize | アライメントをとるバイト数
Returns: 0を書き出したバイト数 Implements Lamp::OutputStream. Definition at line 80 of file MemoryOutputStream.cpp.

void Lamp::MemoryOutputStream::flush | ( |  | ) | `[protected, virtual]`

| フラッシュ ストリームをフラッシュします。 Implements Lamp::OutputStream. Definition at line 104 of file MemoryOutputStream.cpp.

virtual const char* Lamp::MemoryOutputStream::getBuffer | ( |  | ) | `[inline, virtual]`

| バッファの取得 メモリバッファを取得します。 このバッファはこのクラスがデストラクトされる時に消去されます。 Returns: メモリバッファ Definition at line 56 of file MemoryOutputStream.h.

int Lamp::MemoryOutputStream::getPosition | ( |  | ) | `[protected, virtual]`

| 書き込み位置の取得 Returns: 書き込み位置 Implements Lamp::OutputStream. Definition at line 92 of file MemoryOutputStream.cpp.

int Lamp::MemoryOutputStream::getSize | ( |  | ) | `[protected, virtual]`

| サイズの取得 Returns: 書き込んだバイト数 Implements Lamp::OutputStream. Definition at line 67 of file MemoryOutputStream.cpp.

void Lamp::MemoryOutputStream::setPosition | ( | int | position | ) | `[protected, virtual]`

  | 書き込み位置の設定 指定された位置に書き込み位置を変更します。 Parameters:
  position | 書き込み位置
Implements Lamp::OutputStream. Definition at line 97 of file MemoryOutputStream.cpp. References Assert.

void Lamp::MemoryOutputStream::skip | ( | int | size | ) | `[protected, virtual]`

  | スキップ 指定されたバイト数、0を書き出します。 Parameters:
  size | 0を書き出すバイト数
Implements Lamp::OutputStream. Definition at line 72 of file MemoryOutputStream.cpp.

void Lamp::MemoryOutputStream::writeBytes | ( | const void * | data,
|  | int | size
| ) | `[protected, virtual]`

  | バイトデータの書き出し Parameters:
  data | 書き出すバイトデータ
  size | 書き出すサイズ
Implements Lamp::OutputStream. Definition at line 59 of file MemoryOutputStream.cpp.

The documentation for this class was generated from the following files:

- MemoryOutputStream.h
- MemoryOutputStream.cpp